Herqq

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# HClientActionOp Class Reference
Device Model

This class is used to identify a client-side action invocation and detail information of it. More...

`#include <HClientActionOp>`

Inheritance diagram for HClientActionOp:

List of all members.

## Public Member Functions
| HClientActionOp ()
| HClientActionOp (const HActionArguments &inArgs)
| HClientActionOp (const HClientActionOp &)
virtual | ~HClientActionOp ()
HClientActionOp & | operator= (const HClientActionOp &)
const HActionArguments & | inputArguments () const
const HActionArguments & | outputArguments () const
void | setOutputArguments (const HActionArguments &outArgs)

## Detailed Description

This class is used to identify a client-side action invocation and detail information of it.

When you call HClientAction::beginInvoke() you get an instance of this class that uniquely identifies the asynchronous operation within the running process. Once the operation completes and the HClientAction::invokeComplete() signal is sent, you get a copy of the instance that was provided by the `beginInvoke()`. You can use either of the objects and any other copy you may have made to query the UPnP return code of the operation by calling returnValue(). You can call inputArguments() to get the arguments you provided to the HClientAction::beginInvoke() and you can call outputArguments() to get any output arguments the action invocation may have returned.

See also:
  HClientAction, HAsyncOp

Remarks:
  This class is not thread-safe.

## Constructor & Destructor Documentation

HClientActionOp | ( |  | ) |

Creates a new instance.

HClientActionOp | ( | const HActionArguments & | inArgs | ) |

Creates a new instance based on the provided values.

Parameters:

  inArgs | specifies the input arguments of the action invocation.

HClientActionOp | ( | const HClientActionOp & |  | ) |

Copy constructor.

Copies the contents of the `other` to this.

~HClientActionOp | ( |  | ) | `[virtual]`

Destroys the instance.

## Member Function Documentation

HClientActionOp& operator= | ( | const HClientActionOp & |  | ) |

Assigns the contents of the other object to this.

Returns:
  reference to this object.

const HActionArguments& inputArguments | ( |  | ) | const

Returns the input arguments of the action invocation.

Returns:
  The input arguments of the action invocation.

const HActionArguments& outputArguments | ( |  | ) | const

Returns the output arguments of the action invocation.

Returns:
  The output arguments of the action invocation.

void setOutputArguments | ( | const HActionArguments & | outArgs | ) |

Sets the output arguments of the action invocation.

Parameters:

  outArgs |